# Awesome Captcha [![Awesome](https://awesome.re/badge.svg)](https://awesome.re)

:triangular_flag_on_post:  This repo is a collection of awesome captcha libraries and captcha crack tools.  
**Welcome to PR～～～**

[English](README.md) | [中文](README-zh.md)

## Contents

- [Libraries](#libraries)
- [Generation](#generation)
- [Crack](#crack)
    - [General](#general)
    - [Chinese](#chinese)
- [Tools](#tools)
- [Other](#other)


## Libraries

- [Captcha](https://github.com/mewebstudio/captcha) - Captcha for Laravel 5.
- [Captcha](https://github.com/Gregwar/Captcha) - PHP Captcha library.
- [Captcha](https://github.com/trekjs/captcha) - A Lightweight Pure JavaScript Captcha for Node.js. No C/C++, No ImageMagick, No Canvas.
- [Patchca](https://github.com/pusuo/patchca) - Simple yet powerful CAPTCHA library written in Java.


## Generation
- [Captcha](https://github.com/dchest/captcha) - Go package captcha implements generation and verification of image and audio CAPTCHAs.
- [Captcha](https://github.com/lepture/captcha) - A captcha library that generates audio and image CAPTCHAs.
- [SVG-captcha](https://github.com/lemonce/svg-captcha) - Generate svg captcha in Node.js.
- [Ccap](https://github.com/DoubleSpout/ccap) - Node.js generate captcha using c++ library CImg without install any other lib or software.
- [Captchagen](https://github.com/contra/captchagen) - Captcha generation for Node.js.
- [CaptchaImageView](https://github.com/jineshfrancs/CaptchaImageView) - Custom ImageView to generate captcha image.
- [SwipeCaptcha](https://github.com/mcxtzhang/SwipeCaptcha) - Swipe captcha of Android platform.
- [Base64Captcha](https://github.com/mojocn/base64Captcha) - Golang base64-captcha supports digits, numbers,alphabet, arithmetic, audio and digit-alphabet captcha.


## Crack

### General
- [Captcha](https://github.com/arunpatala/captcha) - Breaking captchas using torch.
- [CAPTCHA](https://github.com/zakizhou/CAPTCHA) - Implement classification for CAPTCHA in TensorFlow.
- [Captcha-break](https://github.com/nladuo/captcha-break) - Captcha break based on opencv2, tesseract-ocr and some machine learning algorithm.
- [Captcha_break](https://github.com/ypwhs/captcha_break) - Captcha break using CNN with Keras.
- [Simple-captcha-solver](https://github.com/ptigas/simple-captcha-solver) - Simple CAPTCHA solver in python 🐍.
- [SimGAN-Captcha](https://github.com/rickyhan/SimGAN-Captcha) - Solve captcha without manually labeling a training set.
- [Captcha](https://github.com/HLearning/captcha) - Crack captcha using CNN.
- [Captcha.irctc](https://github.com/arunpatala/captcha.irctc) - Reading irctc captchas with 98% accuracy using deep learning.
- [Captcha-tensorflow](https://github.com/JackonYang/captcha-tensorflow) - Image Captcha Solving Using TensorFlow and CNN Model.
- [CNN_keras](https://github.com/skyduy/CNN_keras) - CNN | Keras | CAPTCHA recognition（卷积神经网络、Keras框架、验证码识别）.
- [Captcha_recognize](https://github.com/PatrickLib/captcha_recognize) - Image Recognition captcha without image segmentation.
- [Captcha_svm](https://github.com/zhengwh/captcha-svm) - Use svm to hack simple captcha.
- [Captcha_cracker](https://github.com/chxj1992/captcha_cracker) - Crack captcha with CNN.
- [Slide_captcha_cracker](https://github.com/chxj1992/slide_captcha_cracker) - Crack solution for slide captcha with Canny algorithm.
- [Simple-railway-captcha-solver](https://github.com/JasonLiTW/simple-railway-captcha-solver#english-version) - Simple captcha solver based on CNN and a training set generator by imitating the style of captcha.
- [CAPTCHA-breaking](https://github.com/lllcho/CAPTCHA-breaking) - Breaking the captcha.

### Chinese
- [Chinese_hand_write_rec](https://github.com/burness/tensorflow-101/tree/master/chinese_hand_write_rec/src) - Handwritten chinese recognition.
- [CNN_handwritten_chinese_recognition](https://github.com/taosir/cnn_handwritten_chinese_recognition) - As the name shows, handwritten_chinese_recognition with cnn.
- [Chinese-Character-Recognition](https://github.com/soloice/Chinese-Character-Recognition) - This project shows how to use CNN to perform Chinese character recognition, a much more complicated task compared to MNIST digit recognition.
- [Zheye](https://github.com/muchrooms/zheye) - Chinese captcha recognition program for handstand character of zhihu.
- [12306-captcha](https://github.com/aaronshan/12306-captcha) - Recognize 12306 captcha with deep learning. 


## Tools

- [Tesseract](https://github.com/tesseract-ocr/tesseract) - Tesseract Open Source OCR Engine.
- [MotionCAPTCHA](https://github.com/wjcrowcroft/MotionCAPTCHA) - MotionCAPTCHA jQuery Plugin - Stop Spam, Draw Shapes.
- [Negative-captcha](https://github.com/subwindow/negative-captcha) - A plugin to make the process of creating a negative captcha in Rails much less painful.
- [Django-simple-captcha](https://github.com/mbi/django-simple-captcha) - An extremely simple, yet highly customizable Django application to add captcha images to any Django form.
- [Securimage](https://github.com/dapphp/securimage) - PHP CAPTCHA Script.
- [Captcha_solver](https://github.com/lorien/captcha_solver) - Univeral API to captcha solving services.


## Other

- [VisualCaptcha](https://github.com/emotionLoop/visualCaptcha) - A collection of all the different versions/repos of visualCaptcha.


## Maintainers

- [@ZYSzys](https://github.com/ZYSzys)


## Contribute

Please do! Check out the [CONTRIBUTING](CONTRIBUTING.md) file, and [open an issue](https://github.com/ZYSzys/awesome-captcha/issues/new)!


## License

[![CC0](http://mirrors.creativecommons.org/presskit/buttons/88x31/svg/cc-zero.svg)](https://creativecommons.org/publicdomain/zero/1.0/)

To the extent possible under law, [ZYSzys](https://github.com/ZYSzys) has waived all copyright and related or neighboring rights to this work.
